﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Repic
{
	public struct Vector5D
	{
		public double X, Y, Z, E, F;

		public Vector5D(double _X, double _Y, double _Z, double _E, double _F)
		{
			this.X = _X;
			this.Y = _Y;
			this.Z = _Z;
			this.E = _E;
			this.F = _F;
		}

		public static Vector5D operator +(Vector5D v1, Vector5D v2)
		{
			return new Vector5D(v1.X + v2.X, v1.Y + v2.Y, v1.Z + v2.Z, v1.E + v2.E, v1.F + v2.F);
		}

		public static Vector5D operator -(Vector5D v1, Vector5D v2)
		{
			return new Vector5D(v1.X - v2.X, v1.Y - v2.Y, v1.Z - v2.Z, v1.E - v2.E, v1.F - v2.F);
		}

		public static Vector5D operator *(Vector5D v1, Vector5D v2)
		{
			return new Vector5D(v1.X * v2.X, v1.Y * v2.Y, v1.Z * v2.Z, v1.E * v2.E, v1.F * v2.F);
		}

		public static Vector5D Abs(Vector5D v)
		{
			v.X = Math.Abs(v.X);
			v.Y = Math.Abs(v.Y);
			v.Z = Math.Abs(v.Z);
			v.E = Math.Abs(v.E);
			v.F = Math.Abs(v.F);
			return v;
		}
	}
}
